# KeyProvider (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.userauth.keyprovider
Interface KeyProvider

All Known Subinterfaces:
  FileKeyProvider

All Known Implementing Classes:
  KeyPairWrapper, OpenSSHKeyFile, PKCS8KeyFile

    public interface KeyProvider

A KeyProvider is a container for a public-private keypair.

Method Summary
`PrivateKey` `getPrivate()`
`PublicKey` `getPublic()`
`KeyType` `getType()`

Method Detail

### getPrivate

    PrivateKey getPrivate()
                          throws IOException

  Returns:
    the private key.
  Throws:
    `IOException` - if there is an I/O error retrieving the private key

### getPublic

    PublicKey getPublic()
                        throws IOException

  Returns:
    the public key.
  Throws:
    `IOException` - if there is an I/O error retrieving the public key

### getType

    KeyType getType()
                    throws IOException

  Returns:
    the `KeyType`.
  Throws:
    `IOException` - if there is an I/O error retrieving the key type

Copyright © 2009-2011. All Rights Reserved.